org.eclipse.eef

## Interface EEFContainerDescription

All Superinterfaces:
  EEFControlDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFContainerDescriptionImpl

    public interface EEFContainerDescription
    extends EEFControlDescription

A representation of the model object 'EEF Container Description'.

The following features are supported:

- `Controls`
- `Layout`

See Also:
  `EefPackage.getEEFContainerDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<EEFControlDescription>` `getControls()` Returns the value of the 'Controls' containment reference list.
`EEFLayoutDescription` `getLayout()` Returns the value of the 'Layout' containment reference.
`void` `setLayout(EEFLayoutDescription value)` Sets the value of the '`Layout`' containment reference.

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getControls

    org.eclipse.emf.common.util.EList<EEFControlDescription> getControls()

Returns the value of the 'Controls' containment reference list. The list contents are of type `EEFControlDescription`. References the widgets to hold.

Returns:
  the value of the 'Controls' containment reference list.
See Also:
  `EefPackage.getEEFContainerDescription_Controls()`

#### getLayout

    EEFLayoutDescription getLayout()

Returns the value of the 'Layout' containment reference. The layout of the container.

Returns:
  the value of the 'Layout' containment reference.
See Also:
  `setLayout(EEFLayoutDescription)`, `EefPackage.getEEFContainerDescription_Layout()`

#### setLayout

    void setLayout(EEFLayoutDescription value)

Sets the value of the '`Layout`' containment reference.

Parameters:
  `value` - the new value of the 'Layout' containment reference.
See Also:
  `getLayout()`